<?php

namespace Drupal\trinion_reports\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Link;

/**
 * Returns responses for Trinion reports routes.
 */
class SpisokOtchetov extends ControllerBase {

  /**
   * Builds the response.
   */
  public function build() {
    $build['content']['list'] = [
      '#type' => 'table',
      '#rows' => [
        [Link::createFromRoute('Количество звонков по пользователям за период', 'trinion_reports.kolichestvo_zvonkov_ish_vh_po_polzovateliam_za_period')],
        [Link::createFromRoute('Сумма сделок по статусам по пользователям за период', 'trinion_reports.summa_sdelok_po_statusam_po_polzovateliam_za_period')],
        [Link::createFromRoute('Сумма счетов по статусам по пользователям за период', 'trinion_reports.summa_schetov_po_statusam_po_polzovateliam_za_period')],
        [Link::createFromRoute('Report by task status per period', 'trinion_reports.reports_status_zadach_za_period')],
      ],
      '#attributes' => [
        'class' => [
          'table',
        ],
      ]
    ];

    return $build;
  }

}
